%define anolis_release 1

Summary:    Xorg X11 libinput input driver
Name:       xorg-x11-drv-libinput
Version:    1.3.0
Release:    %{anolis_release}%{?dist}
URL:        http://www.x.org
License:    MIT

Source0:    https://www.x.org/pub/individual/driver/xf86-input-libinput-%{version}.tar.xz
Source1:    71-libinput-overrides-wacom.conf

BuildRequires: make
BuildRequires: pkgconfig(inputproto) >= 2.2
BuildRequires: pkgconfig(libinput) >= 1.11.0
BuildRequires: pkgconfig(xorg-server) >= 1.19
BuildRequires: pkgconfig(xproto)
BuildRequires: xorg-x11-util-macros

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires xinput)
Requires: xkeyboard-config

Provides: xorg-x11-drv-synaptics = 1.9.0
Obsoletes: xorg-x11-drv-synaptics < 1.9.0

%description
A generic input driver for the X.Org X11 X server based on libinput,
supporting all devices.

%prep
%autosetup -p 1 -n xf86-input-libinput-%{version}

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install

%{__install} -m0644 %{SOURCE1} %{buildroot}%{_datadir}/X11/xorg.conf.d/

%files
%license COPYING
%{_libdir}/xorg/modules/input/libinput_drv.so
%{_datadir}/X11/xorg.conf.d/40-libinput.conf
%{_datadir}/X11/xorg.conf.d/71-libinput-overrides-wacom.conf
%{_mandir}/man4/libinput.4*

%package devel
Summary:        Xorg X11 libinput input driver development package.

%description devel
Xorg X11 libinput input driver development files.

%files devel
%license COPYING
%{_libdir}/pkgconfig/xorg-libinput.pc
%dir %{_includedir}/xorg/
%{_includedir}/xorg/libinput-properties.h

%changelog
* Sun Apr 9 2023 Funda Wang <fundawang@yeah.net> - 1.3.0-1
- New version 1.3.0

* Wed Apr 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.1-1
- Init from upstream version 1.2.1

